package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class LogDistintaFlussiInput.
 * @see sicura.entities.LogDistintaFlussiInput
 * @author Hibernate Tools
 */
@Stateless
public class LogDistintaFlussiInputHome {

	private static final Log log = LogFactory.getLog(LogDistintaFlussiInputHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(LogDistintaFlussiInput transientInstance) {
		log.debug("persisting LogDistintaFlussiInput instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(LogDistintaFlussiInput persistentInstance) {
		log.debug("removing LogDistintaFlussiInput instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public LogDistintaFlussiInput merge(LogDistintaFlussiInput detachedInstance) {
		log.debug("merging LogDistintaFlussiInput instance");
		try {
			LogDistintaFlussiInput result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public LogDistintaFlussiInput findById(Integer id) {
		log.debug("getting LogDistintaFlussiInput instance with id: " + id);
		try {
			LogDistintaFlussiInput instance = entityManager.find(LogDistintaFlussiInput.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
